| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::FacePipelinePackageBase Class Reference
Inheritance diagram for Digikam::FacePipelinePackageBase:

## Public Types
enum | EditPipelineAction { Confirm , Remove , RemoveAll , EditTag , EditRegion , AddManually , DeleteRejectedFaceTagList }

## Public Member Functions
| FacePipelinePackageBase (const ItemInfo &_info, const FaceTagsIface &_face, int _tagId, const TagRegion &_region, const DImg &_image, EditPipelineAction _action, bool _retrain, int _serialNumber=-1)
| FacePipelinePackageBase (const ItemInfo &_info, EditPipelineAction _action, int _serialNumber=-1)
| FacePipelinePackageBase (qlonglong _imageId, const FaceTagsIface &_face, int _serialNumber=-1)
| FacePipelinePackageBase (qlonglong _imageId, int _serialNumber=-1)

## Public Attributes
EditPipelineAction | action = EditPipelineAction::Confirm
QList< int > | exclusionIdentityIds
FaceTagsIface | face
QList< FaceTagsIface > | faceList
QList< QRectF > | faceRects
cv::Mat | features
QList< cv::Mat > | featuresList
DImg | image
ItemInfo | info
int | label = -1
QList< int > | labelList
TagRegion | region
bool | retrain = false
int | serialNumber = -1
int | tagId = -1
QImage | thumbnail
bool | useForTraining = false
Public Attributes inherited from Digikam::MLPipelinePackageFoundation
quint64 | size = 0
QIcon | thumbnailIcon